I nuovi iPod non funzionerebbero su Linux

no_ipod.png

Leggo proprio ora su OSSblog questa notizia che riporto integralmente:

I nuovi iPod escludono Linux
from ossblog by Matteo Campofiorito

La notizia è ancora da confermare da parte dei possessori dei nuovi modelli di iPod ma, stando a quanto riportato da un blog e prontamente ripreso da /., sembrerebbe che la nuova generazione di player musicali made in Cupertino (Nano, Classic e iPod Touch) siano “allergici” ad altre applicazioni che non siano iTunes.A quanto pare Apple avrebbe implementato delle tecniche di hashing (probabilmente SHA1) per garantire che il database delle canzoni (iTunesDB) presente sugli iPod di nuova generazione non venga alterato da applicazioni di terze parti. Insomma il succo è: o usi iTunes o niente! Un bell’esempio del motto “think different” non trovate ;)Naturalmente una mossa del genere colpisce in primis gli utenti del pinguino, sistema per cui non viene rilasciata alcuna versione di iTunes, ma anche i moltissimi utenti Windows che detestano il software Apple e preferiscono applicazioni più leggere.Dunque, finchè non si riuscirà a fare un pò di reverse engineering sui nuovi giocattoli Apple (Dvd John se ci sei batti un colpo), gli utenti Linux non potranno usare applicazioni come gtkpod e Rhythmbox per gestire la propria library musicale…

Bello, non c’è che dire. Ecco cosa scrive Slashdot citando Will Fisher:

Will Fisher writes “New iPods will no longer be able to work with Linux. iTunes now writes some kind of hash (SHA1, md5?) to the iPod database which new iPods check against. If this check fails then the iPod reports that it contains 0 songs. This appears to be protection against 3rd party applications writing out their own databases. We haven’t found out how to generate our own valid hashes (but we do know the hash includes the database itself, and possibly the iPod serial number), and are looking for help.”

Come dire: non siete padroni di quello che comprate (a carissimo prezzo)!

Note
Un altro articolo di MelaBlog sulle ultime scelte di Apple lo trovate qui.

Autore: Aldo Latino

Aldo Latino usa con entusiasmo Linux nella distribuzione Ubuntu, è un appassionato di WordPress e si diletta a fare il blogger. Ha anche una lista dei desideri. Per altre informazioni visita la sua .

5 pensieri riguardo “I nuovi iPod non funzionerebbero su Linux”

  1. come ho letto tra i commenti di ossblog…"non comprateli" :) e glielo si mette nel posto in cui loro tentano di metterlo a noi

    ma….pensandoci…su linux ci lavora gente amante della libertà in qualsiasi campo..imho qualcosa la faranno pure per bypassare sti check..ma parlo da perfetto ignorante potrei dire parecchie cavolate :p

  2. tranquilli tutti, i protocolli dei nuovi ipod sono stati decodificati usando un'itunes su windows, in più pare proprio che la nuova release di wine supporti itunes :lol:
    per cui, per la buona pace di Apple, l'inviolabilità dei nuovi ipod è durata circa 48 ore

  3. Io l’ho ricevuto il 30 ott e ancora non sono riuscito a farlo partire però sono riuscito a montarlo facendolo bloccare sul trasferimento fotografico
    spero di riuscirci primao poi

I commenti sono chiusi